CartonCloud
CartonCloud API

Consignment Items

Endpoints related to Consignment Items.


List consignment items

GET
https://api.cartoncloud.com
/tenants/{tenantId}/consignments/{consignmentId}/items
required permission: VIEW_CONSIGNMENT_ITEM

List consignment items › path Parameters

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

consignmentId
​UUID · uuid · required

List consignment items › query Parameters

page
​integer

The page number to return results for

size
​integer

The number of elements per page. Default value may vary between endpoints

List consignment items › Headers

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8

List consignment items › Responses

Success

id
​UUID · uuid
​ConsignmentItemLocation
​ConsignmentItemReferences
​Properties

Custom and other property values keyed by name.

Custom fields may exist or may be requested by the tenant.

  • For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
  • For Sale Order Product (SOP) custom fields, use sop_custom_field_1, sop_custom_field_2, and so on.
  • For other entities such as Purchase Order Product and Product, use custom_field_1, custom_field_2, and so on.
​ConsignmentItemMeasures
type
​string · enum
Enum values:
TRANSPORT_ITEM
​ConsignmentItemDetails
​object[]

Create consignment item

POST
https://api.cartoncloud.com
/tenants/{tenantId}/consignments/{consignmentId}/items
required permission: EDIT_CONSIGNMENT_ITEM

Create consignment item › path Parameters

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

consignmentId
​UUID · uuid · required

Create consignment item › query Parameters

applyDefaults
​boolean

Create consignment item › Headers

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8

Create consignment item › Request Body

id
​UUID · uuid
​ConsignmentItemLocation
​ConsignmentItemReferences
​Properties

Custom and other property values keyed by name.

Custom fields may exist or may be requested by the tenant.

  • For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
  • For Sale Order Product (SOP) custom fields, use sop_custom_field_1, sop_custom_field_2, and so on.
  • For other entities such as Purchase Order Product and Product, use custom_field_1, custom_field_2, and so on.
​ConsignmentItemMeasures
type
​string · enum
Enum values:
TRANSPORT_ITEM
​ConsignmentItemDetails
​object[]

Create consignment item › Responses

Created

id
​UUID · uuid
​ConsignmentItemLocation
​ConsignmentItemReferences
​Properties

Custom and other property values keyed by name.

Custom fields may exist or may be requested by the tenant.

  • For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
  • For Sale Order Product (SOP) custom fields, use sop_custom_field_1, sop_custom_field_2, and so on.
  • For other entities such as Purchase Order Product and Product, use custom_field_1, custom_field_2, and so on.
​ConsignmentItemMeasures
type
​string · enum
Enum values:
TRANSPORT_ITEM
​ConsignmentItemDetails
​object[]

Update consignment item

PUT
https://api.cartoncloud.com
/tenants/{tenantId}/consignments/{consignmentId}/items/{id}
required permission: EDIT_CONSIGNMENT_ITEM

Update consignment item › path Parameters

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

consignmentId
​UUID · uuid · required
id
​UUID · uuid · required

Update consignment item › Headers

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8

Update consignment item › Request Body

id
​UUID · uuid
​ConsignmentItemLocation
​ConsignmentItemReferences
​Properties

Custom and other property values keyed by name.

Custom fields may exist or may be requested by the tenant.

  • For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
  • For Sale Order Product (SOP) custom fields, use sop_custom_field_1, sop_custom_field_2, and so on.
  • For other entities such as Purchase Order Product and Product, use custom_field_1, custom_field_2, and so on.
​ConsignmentItemMeasures
type
​string · enum
Enum values:
TRANSPORT_ITEM
​ConsignmentItemDetails
​object[]

Update consignment item › Responses

Success

id
​UUID · uuid
​ConsignmentItemLocation
​ConsignmentItemReferences
​Properties

Custom and other property values keyed by name.

Custom fields may exist or may be requested by the tenant.

  • For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
  • For Sale Order Product (SOP) custom fields, use sop_custom_field_1, sop_custom_field_2, and so on.
  • For other entities such as Purchase Order Product and Product, use custom_field_1, custom_field_2, and so on.
​ConsignmentItemMeasures
type
​string · enum
Enum values:
TRANSPORT_ITEM
​ConsignmentItemDetails
​object[]

Delete consignment item

DELETE
https://api.cartoncloud.com
/tenants/{tenantId}/consignments/{consignmentId}/items/{id}
required permission: DELETE_CONSIGNMENT_ITEM

Delete consignment item › path Parameters

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

consignmentId
​UUID · uuid · required
id
​UUID · uuid · required

Delete consignment item › Headers

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8

Delete consignment item › Responses

Deleted

string

Success or failure message.


Bulk update consignment items

POST
https://api.cartoncloud.com
/tenants/{tenantId}/consignments/{consignmentId}/items/bulk-update
required permission: BULK_UPDATE_CONSIGNMENT_ITEM

Replaces the consignment's items with the supplied list. Items omitted from the request are deleted.

Bulk update consignment items › path Parameters

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

consignmentId
​UUID · uuid · required

Bulk update consignment items › query Parameters

applyDefaults
​boolean
preventRunAllocation
​boolean

When true, skips delivery-run allocation after item changes.

Bulk update consignment items › Headers

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8

Bulk update consignment items › Request Body

confirmSave
​boolean

When true, saves even when lastModified does not match the consignment.

​ConsignmentItem[]
lastModified
​string · pattern: ^\d{4}-\d{2}-\d{2} \…

Consignment last-modified timestamp (YYYY-MM-DD HH:MM:SS) used to detect conflicting edits.

Bulk update consignment items › Responses

Success


Search consignment items

POST
https://api.cartoncloud.com
/tenants/{tenantId}/consignments/items
required permission: VIEW_CONSIGNMENT_ITEM

Search consignment items › path Parameters

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

Search consignment items › Headers

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8

Search consignment items › Request Body

​object · required

Search consignment items › Responses

Success

id
​UUID · uuid
​ConsignmentItemLocation
​ConsignmentItemReferences
​Properties

Custom and other property values keyed by name.

Custom fields may exist or may be requested by the tenant.

  • For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
  • For Sale Order Product (SOP) custom fields, use sop_custom_field_1, sop_custom_field_2, and so on.
  • For other entities such as Purchase Order Product and Product, use custom_field_1, custom_field_2, and so on.
​ConsignmentItemMeasures
type
​string · enum
Enum values:
TRANSPORT_ITEM
​ConsignmentItemDetails
​object[]

Download consignment item labels.

POST
https://api.cartoncloud.com
/tenants/{tenantId}/consignments/items/download-labels
required permission: VIEW_CONSIGNMENT_ITEM

Downloads labels for specific consignment items based on the provided payload. Each consignment can have multiple items, and each item can have a specified number of copies. returnType defaults to download if not provided.

Download consignment item labels. › path Parameters

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

Download consignment item labels. › Headers

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8

Download consignment item labels. › Request Body

​PrintConsignmentItemLabelsConsignment[] · required

Array of consignments with their items to download labels for

returnType
​string · enum

Return type. url returns a URL to the generated labels; download returns raw PDF content.

Enum values:
download
url
Default: download

Download consignment item labels. › Responses

Success. Returns either a URL to the generated labels (if returnType is ''url''), or raw PDF content (if returnType is ''download'').

url
​string

URL to the generated labels


POST
https://api.cartoncloud.com
/tenants/{tenantId}/consignments/items/print-labels
required permission: TRANSPORT_PRINT_LABEL

Prints labels for specific consignment items based on the provided payload. Each consignment can have multiple items, and each item can have a specified number of copies. The total number of copies across all items cannot exceed the maximum allowed limit. Labels are sent to the tenant's configured label printers when present. With none configured, no print job is sent.

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8
​PrintConsignmentItemLabelsConsignment[] · required

Array of consignments with their items to print labels for

Success. Empty JSON array. Printer configuration does not change this body.

array · maxItems: 0